package com.railway.business.catenary.service;

import com.github.pagehelper.Page;
import com.railway.business.catenary.domain.BusJcbBlq;
import com.railway.business.catenary.domain.vo.JcebCountVo;
import com.railway.business.catenary.domain.vo.JcebQueryVo;
import com.railway.business.catenary.domain.vo.JcebRecordVo;
import java.util.List;
/**
* 检查表-避雷器
* @author wuhonghao
* @date 2021/10/17
*/
public interface IBusJcbBlqService{

    /**
    * 新增
    */
    int create(BusJcbBlq busJcbBlq);

    /**
    * 删除
    */
    int delete(String[] ids);

    /**
    * 更新
    */
    int update(BusJcbBlq busJcbBlq);

    /**
    * 获取单个
    */
    BusJcbBlq getInfo(String id);

    /**
    * 查询列表
    */
    List<BusJcbBlq> getList(BusJcbBlq busJcbBlq);

    /**
     * 获取上次检测值
     */
    BusJcbBlq getLastOne(BusJcbBlq busJcbBlq);

    /**
     * 导出Excel
     * @param query 查询条件
     * @return 文件路径
     */
    String exportExcel(JcebQueryVo query);

    /**
     * 提交
     * @param busJcbBlq
     * @return 提交结果
     */
    int submit(BusJcbBlq busJcbBlq);

    /**
     * 退回
     * @param busJcbBlq
     * @return 退回结果
     */
    int reject(BusJcbBlq busJcbBlq);

    /**
     * 确认
     * @param busJcbBlq
     * @return 确认结果
     */
    int confirm(BusJcbBlq busJcbBlq);

    /**
     * 查询明细列表
     * @param query 查询参数
     * @return 数据记录明细
     */
    Page<JcebRecordVo> getListByType(JcebQueryVo query);

    /**
     * 查询汇总列表
     * @param query 查询参数
     * @return 汇总数据
     */
    JcebCountVo getCountByType(JcebQueryVo query);

}
